-- Only tested on Ubuntu 12.10 64Bit with LÖVE 0.8.0

require "menu"
require "options"
require "background_draw"

function love.load()
	--load up all the initial settings and variables

	screen = love.graphics.setMode( 1280, 768, false, false, 4 )

	local f = love.graphics.newFont(12)
	love.graphics.setFont(f)

	--values necessary for object placement
	screen_width = love.graphics.getWidth()
	screen_height = love.graphics.getHeight()

	--set the game state, initially menu
	gamestate = "menu"
	
	menu_load()

	options_load()	
end

function love.update()
	--place where math happens

	--get mouse position for highlighting menu buttons
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()

	if gamestate == "menu" then
		button_check()
	elseif gamestate == "optionmenu" then
		optionbutton_check()
	end
end

function love.draw()
	
	love.graphics.push()
	love.graphics.scale(scaleAmount, scaleAmount)

	--draw backgrounds first, then other stuff
	background_draw()

	if gamestate == "menu" then
		button_draw()
	elseif gamestate == "optionmenu" then
		optionbutton_draw()
	end

	--draw the frames per second
	love.graphics.print("Current FPS: "..tostring(love.timer.getFPS()), 10, 30)
	love.graphics.pop()
end


function love.mousepressed(x, y, button)
	if gamestate == "menu" then
		if button == 'l' then
			--user pressed left click
			button_click(x,y)
		end
	elseif gamestate == "optionmenu" then
		--options menu mouse clicks
		if button == 'l' then
			--user pressed left click
			optionbutton_click(x,y)
		end
	end
end

function love.keypressed(key, unicode)
	--temporary solution to quickly END the game
	if key == "escape" then
		--exits the game
		love.event.push("quit")
	end
end

